<template>
    <component :is="type" :class="['button', 'button--' + color, {'button--dots': dots}]"><slot></slot></component>
</template>
<script>
export default {
    props: {
        type: {
            default: 'a'
        },
        dots: {
            type: Boolean,
            default: false
        },
        color: {
            type: String,
            default: 'pink'
        }
    },
    data() {
        return {
            
        }
    }
}
</script>
